<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>

<body>
	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
<hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3><b>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</b></h3>
<hr>
	<p><b> Keywords: </b> code of ethics, professional responsibiliy, software engineering</p>

	<h4><b>PREAMBLE</b></h4>
	<p> The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give example and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themselvesto making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

<h4><b>PRINCIPLES</b></h4>
	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><i>Client and employer.</i> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standard posisble.</li>
		<li><i>Judgement.</i> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><i>Management.</i> Software engineering managers and leaders shall subscibe to and promote an ethical approach to the management of software developement and maintenance.</li>
		<li><i>Profession.</i> Software engineers shall advance the integrity and reputation of the profession consistent with the pblic interest.</li>
		<li><i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><i>Self.</i> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practive of the profession.</li>
	</ol>
</body>
</html>